r15683 - in /packages/unstable/gnome-user-share/debian: changelog patches/01_apache-config.patch preinst

slomo at users.alioth.debian.org slomo at users.alioth.debian.org
Fri Apr 18 10:43:54 UTC 2008


Author: slomo
Date: Fri Apr 18 10:43:54 2008
New Revision: 15683

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=15683
Log:
* debian/preinst:
  + Remove obsolete conffile.
* debian/01_apache-config.patch:
  + Fix apache config even more.

Added:
    packages/unstable/gnome-user-share/debian/preinst
Modified:
    packages/unstable/gnome-user-share/debian/changelog
    packages/unstable/gnome-user-share/debian/patches/01_apache-config.patch

Modified: packages/unstable/gnome-user-share/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gnome-user-share/debian/changelog?rev=15683&op=diff
==============================================================================
--- packages/unstable/gnome-user-share/debian/changelog (original)
+++ packages/unstable/gnome-user-share/debian/changelog Fri Apr 18 10:43:54 2008
@@ -1,3 +1,12 @@
+gnome-user-share (0.31-3) unstable; urgency=medium
+
+  * debian/preinst:
+    + Remove obsolete conffile.
+  * debian/01_apache-config.patch:
+    + Fix apache config even more.
+
+ -- Sebastian Dröge <slomo at debian.org>  Fri, 18 Apr 2008 12:42:37 +0200
+
 gnome-user-share (0.31-2) unstable; urgency=low
 
   * debian/patches/01_apache-config.patch,

Modified: packages/unstable/gnome-user-share/debian/patches/01_apache-config.patch
URL: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gnome-user-share/debian/patches/01_apache-config.patch?rev=15683&op=diff
==============================================================================
--- packages/unstable/gnome-user-share/debian/patches/01_apache-config.patch (original)
+++ packages/unstable/gnome-user-share/debian/patches/01_apache-config.patch Fri Apr 18 10:43:54 2008
@@ -1,15 +1,16 @@
---- data/dav_user_2.2.conf.in.old	2008-04-10 08:40:37.000000000 +0200
-+++ data/dav_user_2.2.conf.in	2008-04-10 08:42:03.000000000 +0200
-@@ -14,6 +14,8 @@
+--- data/dav_user_2.2.conf.in.old	2008-04-18 12:34:31.000000000 +0200
++++ data/dav_user_2.2.conf.in	2008-04-18 12:34:58.000000000 +0200
+@@ -13,6 +13,9 @@
+ LoadModule authn_file_module @HTTP_MODULES_PATH at mod_authn_file.so
  LoadModule auth_digest_module @HTTP_MODULES_PATH at mod_auth_digest.so
  LoadModule authz_groupfile_module @HTTP_MODULES_PATH at mod_authz_groupfile.so
++LoadModule mime_module @HTTP_MODULES_PATH at mod_mime.so
++
++TypesConfig /etc/mime.types
  
-+TypesConfig /etc/mime.types
-+
  DocumentRoot ${XDG_PUBLICSHARE_DIR}
  <Directory "${XDG_PUBLICSHARE_DIR}">
-   AllowOverride None
-@@ -41,7 +43,10 @@
+@@ -41,7 +44,10 @@
    </IfDefine>
  </Directory>
  

Added: packages/unstable/gnome-user-share/debian/preinst
URL: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gnome-user-share/debian/preinst?rev=15683&op=file
==============================================================================
--- packages/unstable/gnome-user-share/debian/preinst (added)
+++ packages/unstable/gnome-user-share/debian/preinst Fri Apr 18 10:43:54 2008
@@ -1,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+rm_conffile() {
+  PKGNAME="hal"
+  CONFFILE="$1"
+
+  if [ -e "$CONFFILE" ]; then
+   md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
+   old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE'{s/ obsolete$//;s/.* //p}\"`"
+   if [ "$md5sum" != "$old_md5sum" ]; then
+     echo "Obsolete conffile $CONFFILE has been modified by you."
+     echo "Saving as $CONFFILE.dpkg-bak ..."
+     mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+   else
+     echo "Removing obsolete conffile $CONFFILE ..."
+     rm -f "$CONFFILE"
+   fi
+ fi
+}
+
+case "$1" in
+  install|upgrade)
+    if dpkg --compare-versions "$2" le "0.31-3"; then
+      rm_conffile "/etc/xdg/autostart/gnome-user-share-session.desktop"
+    fi
+esac
+
+#DEBHELPER#
+
+exit 0




More information about the pkg-gnome-commits mailing list